---
type: api
title: Clear the cache
description: **All methods and paths for this operation:**
url: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/elasticsearch/v8/operation/operation-indices-clear-cache
resource: https://www.elastic.co/elastic/docs-builder/docs/4493/api/doc/elasticsearch/v8/operation/operation-indices-clear-cache
products:
  - Elasticsearch
---

# Clear the cache


## Paths

- `POST` `/{index}/_cache/clear`
- `POST` `/_cache/clear`

#### Path parameters

- `index` (union string | string[]) — optional, leave it out to use `/_cache/clear`
  Comma-separated list of data streams, indices, and aliases used to limit the request.
Supports wildcards (`*`).
To target all data streams and indices, omit this parameter or use `*` or `_all`.

## Description

Clear the cache of one or more indices.
For data streams, the API clears the caches of the stream's backing indices.

By default, the clear cache API clears all caches.
To clear only specific caches, use the `fielddata`, `query`, or `request` parameters.
To clear the cache only of specific fields, use the `fields` parameter.

## Required authorization

- Index privileges: `manage`

## Authentication

- Api key: `Authorization: <value>`
  Elasticsearch APIs support key-based authentication.
  You must create an API key and use the encoded value in the request header.
  For example:
  
  
  ```
  curl -X GET "${ES_URL}/_cat/indices?v=true" \
    -H "Authorization: ApiKey ${API_KEY}"
  ```
  
  To get API keys, use the `/_security/api_key` APIs.
- Basic: `Authorization: Basic <credentials>`
- Bearer: `Authorization: Bearer <token>`
  Elasticsearch APIs support the use of bearer tokens in the `Authorization` HTTP header to authenticate with the API.
  For examples, refer to [Token-based authentication services](https://www.elastic.co/guide/en/elasticsearch/reference/current/token-authentication-services.html)

## Query string parameters

- `index` (union oneOf) — optional
  Comma-separated list of data streams, indices, and aliases used to limit the request.
Supports wildcards (`*`).
To target all data streams and indices, omit this parameter or use `*` or `_all`.
  One of: `string[]` or `string`
- `allow_no_indices` (boolean · default: true) — optional
  If `false`, the request returns an error if any wildcard expression, index alias, or `_all` value targets only missing or closed indices.
This behavior applies even if the request targets other open indices.
- `expand_wildcards` (string · default: open) — optional
  Type of index that wildcard patterns can match.
If the request can target data streams, this argument determines whether wildcard expressions match hidden data streams.
Supports comma-separated values, such as `open,hidden`.

Supported values include:
  - `all`: Match any data stream or index, including hidden ones.
  - `open`: Match open, non-hidden indices. Also matches any non-hidden data stream.
  - `closed`: Match closed, non-hidden indices. Also matches any non-hidden data stream. Data streams cannot be closed.
  - `hidden`: Match hidden data streams and hidden indices. Must be combined with `open`, `closed`, or `both`.
  - `none`: Wildcard expressions are not accepted.
  Values: `all`, `open`, `closed`, `hidden`, `none`
- `fielddata` (boolean) — optional
  If `true`, clears the fields cache.
Use the `fields` parameter to clear the cache of specific fields only.
- `fields` (union oneOf) — optional
  Comma-separated list of field names used to limit the `fielddata` parameter.
  One of: `string[]` or `string`
- `ignore_unavailable` (boolean · default: false) — optional
  If `false`, the request returns an error if it targets a missing or closed index.
- `query` (boolean) — optional
  If `true`, clears the query cache.
- `request` (boolean) — optional
  If `true`, clears the request cache.

## Response

`application/json`

- `_shards` (object)
  - `failed` (number)
    The number of shards the operation or search attempted to run on but failed.
  - `successful` (number)
    The number of shards the operation or search succeeded on.
  - `total` (number)
    The number of shards the operation or search will run on overall.
  - `failures` (object[])
    - `index` (string)
    - `node` (string)
    - `reason` (object)
      - `type` (string)
        The type of error
      - `reason` (union string) — nullable
        A human-readable explanation of the error, in English.
        One of: `string`
      - `stack_trace` (string)
        The server stack trace. Present only if the `error_trace=true` parameter was sent with the request.
      - `caused_by` (object) — recursive
        Same fields as `reason` in `failures`
      - `root_cause` (object[]) — recursive
        Same fields as `reason` in `failures`
      - `suppressed` (object[]) — recursive
        Same fields as `reason` in `failures`
    - `shard` (number)
    - `status` (string)
    - `primary` (boolean)
  - `skipped` (number)
## Code examples

#### Console

```console
POST /my-index-000001,my-index-000002/_cache/clear?request=true
```

#### JavaScript

```javascript
const response = await client.indices.clearCache({
  index: "my-index-000001,my-index-000002",
  request: "true",
});
```

#### Python

```python
resp = client.indices.clear_cache(
    index="my-index-000001,my-index-000002",
    request=True,
)
```

#### curl

```curl
curl -X POST "$ELASTICSEARCH_URL/my-index-000001,my-index-000002/_cache/clear?request=true" \
  -H "Authorization: ApiKey $ELASTIC_API_KEY"
```

#### Java

```java
client.indices().clearCache(c -> c
    .index(List.of("my-index-000001","my-index-000002"))
    .request(true)
);
```

#### C#

```c#
var response = await client.Indices
    .ClearCacheAsync(d1 => d1
        .Indices(new[] { "my-index-000001", "my-index-000002" })
        .Request(true)
    );
```

#### PHP

```php
$resp = $client->indices()->clearCache([
    "index" => "my-index-000001,my-index-000002",
    "request" => "true",
]);
```

#### Ruby

```ruby
response = client.indices.clear_cache(
  index: "my-index-000001,my-index-000002",
  request: "true"
)
```

